Subject: Re: (TC304.1363) ISO/IEC 9995-3 international keyboard standard FPDAM

From: Alain LaBonté - 2 <[email-masked]>
Date: Tue, 02 Dec 1997 17:13:16 -0500

Sten, 

what you say below is legitimate (without presuming about the exact
solution). I myself made the same kind of remark on many occasions, even in
JTC1/SC18/WG9 (now JTC1/WG5), as well as in other forums. I suggest that
Sweden propose a PDAM to 9995-3 to correct this in suggesting a precise
solution using level 3.

At this point, it would embarass me to imbed this proposal with what I have
been mandated to do, though. I fully agree with the problem you're talking
about. This mistake of ISO/IEC 6937 (and of ISO/IEC 8884, then ISO/IEC
9995-3) does not only affect Sámi though, it also affects Croatian and
other languages as well.

A remark not linked to the problem but linked with your message: the
masculin ordinal indicator is on the same key as M, the feminin on the same
key as F. It is supposed to be mnemonic (Wilhelm Friedrich Bohn's proposal,
at the time; it seemed sensible to me).

Tack så mycket!

Amitiés.

Alain LaBonté
Toronto
__________________________________________________
A 22:37 02/12/97 -0500, Sten G. Lindberg a écrit :
>Alain LaBonté - 3:
>> A 17:51 97-11-27 +0100, [email-masked] a écrit :
>> >Dear Sir,
>> >
>> >I've been surveying all the rich exchange on matters pertaining to the
>> EURO which you have kindly posted to me. Unfortunately I'm unable to always
>> actively participate in the discussion as it is extremely time consuming.
>> On the other hand, it is normally (and slightly) out of our mandate as
>> "Commission".
>> >Nevertheless, I must not omit to inform you again that the initial
proposal
>> >concerning the placement of the Euro is now approved by the high level
>> decision making "coordinnation committee for the Euro" (the ISG group)and
>> it represents from now on the official position of the Commission.
>> >Mike Ksar and other personnalities of the known industry world as well as
>> other partners and actors in the standardisation field were and are
>> informed on that. As a consequence I would kindly invite you to take this
>> fact into account. 
>> >This time it is not a mere technical issue. It is a historical step
monitored
>> >in its technical details by the EC's services. Our technical proposal was
>> >very well thought of and prepared (at least so we think) and received many
>> >informal appraisal from various parties of which the most important was
the 
>> >industry. It goes the same for many CEN TC304 members. 'TC304' will give
>> us their input early december on the matter.
>> >As a conclusion may I ask you to back our proposal in particular for cases
>> >were ALTGr+E occasions no incovenience and it is by far the SIMPLEST
>> solution.
>> >Thank you for your understanding and help indeed
>> >Best regards and greetings 
>> >Lazaros TOSSOUNIDIS
>> >EC IT- Department
>> >
>> >PS: Referring to some message exchange I saw on the net, I'd like to
>> inform     you that the Commission has no mandate to IMPOSE but to
>> RECOMMEND. In the present case and in view of the political and historical
>> implications of the
>> >euro the Commission might appear to strongly recommend the updated
>> position I've lately sent you. 
>> > - Thank you again for your kind attention -
>> >
>> >LT
>> >
>> >I'm once again enclosing a pdf version of our proposal.
>> >
>> >
>> >Attachment Converted: "c:\eudorapro\attach\Acrobat1.pdf"
>> 
>> 
>> 
>> [Alain] :
>> The modifications you sent me concern national keyboard layouts. However
>> ISO/IEC 9995-3 is a supplementary international keyboard layout (group 2)
>> that contains characters *not* common to *all* European national keyboard
>> layouts (*by definition* any national layout is known as group 1, the
>> supplementary layout in question is known as group 2 also *by
definition*). 
>> 
>> We have to modify this group 2 layout to include the EURO SYMBOL, so that
>> this symbol be available even on American, Canadian or non-European
>> keyboards using the Latin script in one of their layouts, regardless of any
>> coding used.
>> 
>> At the last JTC1/WG5 meeting, I was mandated to modify the proposed ISO/IEC
>> 9995-3 FPDAM 1 presented by Canada as follows : to reallocate the keyboard
>> position of the former level 2 of E04 (the key that corresponds in most
>> groups 1 as digit 4) in group 2 with the EURO SYMBOL to replace the
>> CURRENCY SYMBOL key allocation. We then open level 3 of group 2 (so far
>> level 3 waws totally unpopulated in group 2) in allocating the CURRENCY
>> SYMBOL on level 3 of E04 in group 2. 
>> 
>> The first proposal was changing the allocation of the SHY character in
>> level 2 of E00 of group 2. This is no longer the case. This is no longer an
>> issue.
>> 
>> FYI, but that does not disturb the proposal that you made for national
>> layouts (groups 1), level 1 and 2 of key D03 (the key which allocates
>> letter E in most groups 1) are already allocated in group 2 with the
>> LIGATURE OE in lower and upper case. This dates back to the decade-old
>> standard ISO/IEC 8884 (the editor of this standard was Wolf Arfvidson,
>> Statskontoret, Sverige, now chair of TC304), replaced  by standard ISO/IEC
>> 9995-3 in 1994 with only slight modifications, the most important one being
>> the addition of the SHY character.
>> 
>> This looks a bit complicated but usage is in fact very simple once you
>> forget the coordinates... Fingers fortunately do not have to deal with
>> that, nor the eyes, when characters are engraved on keys.
>> 
>> I should produce a new version of the FPDAM to 9995-3 this week and I will
>> send you a copy. JTC1/WG5 decided not to make any recommendation concerning
>> national keyboard layouts. It will limit its action to the international
>> keyboard layouts realm.
>> 
>> With my best regards.
>> 
>> Alain LaBonté
>> Québec

[Sten] :
>Dear Alain,
>
>Although I'm no longer active in standards work, I happened to read
>your note of 1 Dec to Lazaros Tossounidis about the Euro sign.
>
>I got interested in what you wrote about modifying ISO/IEC 9995-3.
>Not knowing what is intended to be done besides introducing the Euro
>sign, I immediately thought of a nasty problem inherited by 9995 from
>ISO/IEC 6937, and that is the "common" upper case of ETH and D WITH
>STROKE. This of course is no problem in many simple 8-bit
>applications, as has mainly been the usage so far. UCS, however,
>distinguishes between the two, and after doing upper- or lower-casing
>there is an obvious risk of false-identifying items, e.g. intended to
>be used as database or internet search keys. This will rapidly become
>a severe problem for the language groups affected.
>
>Using level 3 in group 2, as you propose for currency symbols on key
>E04, sets a precedence for solving also the ETH/D-STROKE problem.
>
>One possible solution could be the following:
> ______ ______ ______ ______
> KEY    L1     L2     L3
> ______ ______ ______ ______
> CO3    d-str  D-STR
> C04    eth    ETH
> B07    MICRO  M-ORDI F-ORDINAL
> ______ ______ ______ ______
>
>Other solutions could also be designed. One would be to swap ETH and
>D-STROKE in the table above.
>
>For some strange reason that I do not know, the upper and lower cases
>of ETH and D-STROKE are "cross-linked" to the keys in the present
>edition of the standard. This fact is so strange that it in itself is
>a strong and valid reason for revising.
>
>The Euro also sets the precedence for adding a character from outside
>of the 6937, so I believe that there are no arguments against solving
>the ETH/D-STROKE problem.
>
>Scandinavia is the prime area where ETH and D-STROKE meet. ETH is
>used in Icelandic, and D-STROKE in the Northern Sami (Lapp) language.
>Right now Swedish legislation is near completion, explicitly
>permiting the Sami language to be used in contact with the
>authorities (in the northern part of the country). This will force
>Sweden to provide a much better support via keyboard and character
>set standards.
>
>Since we also have a lot of cooperation with Iceland within the
>framework of the group of Nordic countries as well as in trade,
>educational exchange etc, we obviously need to be able to handle ETH
>and D-STROKE simultaneously. Thus, the case for cleanup of this
>anomaly in 9995-3.
>
>Is it possible to make my proposed change to 9995-3?
>
>= = = = =
>
>I've also read the Commission's (/Tossounidis) paper about location
>of the Euro sign in the Group 1 national layouts.
>
>I agree with him that it is important to give the Euro a "prominent"
>location on the keyboard, but can't see the reason to make every
>country put it on exactly the E-key level 3. In analogy with all
>other national keyboard layout matters, this is a question for local
>decisions. The "principle of  subsidarity" (national decision mandate
>concerning local matters) is certainly valid here. If the E-key
>already is occupied (or for any other good reason), then the Euro can
>be placed somewhere else. Simple as that.
>
>
>Best regards,
>Sten                      Please note my change of email address.
>-----------------------------------------------------------------